Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Captures a frame from the camera

Request

Retrieves the frame from the camera with an option to rectify (undistort) if desired.

Security
Bearer
Path
rectifyboolean

Option to undistort the image

Default false
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/{rectify}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The PNG image file that was grabbed from the camera

Bodyapplication/json
string(binary)
Response
application/json
"string"

Captures a frame from the camera with the calibration overlaid on top.

Request

Retrieves the frame from the camera with the calibration overlaid on top. This can be helpful to diagnose any problems with the camera or deck calibration.

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/calibration-pattern' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The PNG image file that was grabbed from the camera

Bodyapplication/json
string(binary)
Response
application/json
"string"

Captures the current camera parameters.

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/parameters' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The set of camera parameters for the current connected camera

Bodyapplication/jsonArray [
displayNamestring or null

The display name of a particular camera setting

valuestring or null

The value of the parameter, the type will vary based on the parameters

]
Response
application/json
[ { "displayName": "CameraParameterName1", "value": "BaslerDartBoundedParameterFloatValue1" }, { "displayName": "CameraParameterName2", "value": "BaslerDartBoundedParameterFloatValue2" } ]

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations